## ros-melodic-ainstein-radar-drivers 2.0.2

=== debian/changelog ===
ros-melodic-ainstein-radar-drivers (2.0.2-1bionic) bionic; urgency=high

  * Minor, remove temporary file
  * Minor, fix SRD-D1 output data topic name
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 19 Nov 2019 06:00:00 -0000

ros-melodic-ainstein-radar-drivers (2.0.1-1bionic) bionic; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-melodic-ainstein-radar-drivers (2.0.0-1bionic) bionic; urgency=high

  * Update RadarInfo msg, refactor for K79 and add T79
    Updated the RadarInfo message slightly. Also refactored the K79
    interface class to publish the RadarInfo message.
    Added publishing the RadarInfo message for T79 as well, needs testing.
  * Add latched publishing of RadarInfo msg for K79
    Added a latched publication of RadarInfo message for K79 in the K79
    interface class. This message is published once and stored for all
    future subscribers since the radar specifications never change (as of
    now).  The specifications used come from the preliminary datasheet
    and are likely to change. Any unknown specifications are left at zero.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 12 Nov 2019 06:00:00 -0000

ros-melodic-ainstein-radar-drivers (1.1.0-1bionic) bionic; urgency=high

  * Minor fixes to package XML formatting
    Fixed the package XML file formatting and added missing content to
    conform to the suggested style guidelines.
  * Add simple T79 (ZOI) configuration GUI
    Added a simple Tk-based configuration GUI for the non-BSD T79 firmware
    (ZOI or Zone Of Interest firmware).  This GUI allows setting the
    "Nonvolatile Radar Parameters Command" which includes CAN ID, baudrate,
    and self start behavior.
  * Add K79-3D nodelet
    Added a nodelet for K79-3D to enable zero-copy message passing within
    the same nodelet manager.  Also added a launch file for testing this
    nodelet. Tested on hardware and working.
  * Add non-BSD T79 node for ZOI firmware/deprecate BSD
    Added a new interface and node for the new ZOI (Zone of Interest) T79
    firmware and deprecated the old T79 BSD interface and node by moving
    them as needed. Both tested and working, however nodelets are not yet
    available due to runtime issues involving the virtual base class.
    The new T79 node allows setting the zone of interest (min/max range,
    min/max azimuth angle) via ROS dynamic reconfigure GUI. The new node
    also supports up to 10 radars at once, specifying the CAN ID of each
    as a fixed node parameter. To set the CAN ID for a radar, currently
    this must be done outside ROS. A service call may implement this soon.
  * Bug fix in K79-3D interface, working in parking lot
    Fixed a few bugs in the parsing of K79-3D data packets which caused the
    data to be interpreted incorrectly resulting in nonphysical range and
    angles. Tested in the parking lot and seems to be working properly.
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Tue, 29 Oct 2019 05:00:00 -0000

ros-melodic-ainstein-radar-drivers (1.0.3-1bionic) bionic; urgency=high



 -- Nick Rotella <nick.rotella@ainstein.ai>  Thu, 03 Oct 2019 05:00:00 -0000

ros-melodic-ainstein-radar-drivers (1.0.2-1bionic) bionic; urgency=high

  * Remove unused includes causing dependency issues
  * Contributors: Nick Rotella

 -- Nick Rotella <nick.rotella@ainstein.ai>  Wed, 25 Sep 2019 05:00:00 -0000

ros-melodic-ainstein-radar-drivers (1.0.1-1bionic) bionic; urgency=high

  * Refactor filters into separate subpkg, fix bug
    Created subpackage ainstein_radar_filters for radar filters and
    conversions, moved all filters from ainstein_radar_drivers into this
    subpkg and tested build and launch on rosbag data.
    Also fixed a small bug in the radar data range filter in which the
    dynamic reconfigure callback was not being registered, preventing the
    filter from working. Now, the filter compiles and works properly.
  * Fix CMake issue and move nodelets to plugins folder
    Added missing dependency to range filter nodelet which was setting up a
    build race condition in which the dynamic reconfigure header sometimes
    was built after the nodelet, causing the build to fail.
    Also created a plugins folder and moved all nodelet XML files there,
    and updated the package.xml to match.
  * Build fix, add radardata range filter nodelet xml
    Added the radardata_range_filter nodelet XML file to the package XML
    which fixes a build issue involving missing config for this nodelet.
  * Refactor K79 interface to break out pure C++ driver
    Refactored the K79 radar interface to break out a pure C/C++ driver
    class called RadarDriverK79 on which RadarInterfaceK79 now depends.
    Tested and working with K79-2D, would need to do the same for K79-3D
    as well as all other radars which have ROS-dependent drivers.
    The next step would be to move the pure C++ driver outside this pkg
    entirely and create an external dependency, allowing use of radars
    without needing ROS installed.
  * Merge branch 'master' of https://github.com/AinsteinAI/ainstein_radar
  * Add range filter dynamic reconfigure, needs testing
  * Rename all instances of usharp3d to srd_d1
    Renamed all instances of usharp3d to srd_d1 to follow new product
    naming. srd_d1 python node should be tested and cleaned up and drop
    support for old firmware going forward.
  * Minor, change topic naming for radar outputs
  * Minor, fix timestamps on radar data
  * Minor, remove sign flip from filter, was a hack
  * Merge branch 'nick-addK79-3D'
  * Add K79-3D node and fix azimuth K79-2D parser issue
    Added the K79 3D and verified the data, though additional testing may
    need to be done. Added the interface (which is very similar to K79-2D
    and should be combined later), node and launch file.
    Fixed an issue with azimuth parsing which caused targets to appear

