=== debian/control ===
Source: ros-melodic-ainstein-radar-drivers
Section: misc
Priority: optional
Maintainer: Nick Rotella <nick.rotella@ainstein.ai>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-ainstein-radar-msgs, ros-melodic-can-msgs, ros-melodic-catkin, ros-melodic-nodelet, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-socketcan-bridge
Homepage: https://wiki.ros.org/ainstein_radar_drivers
Standards-Version: 3.9.2

Package: ros-melodic-ainstein-radar-drivers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-ainstein-radar-msgs, ros-melodic-can-msgs, ros-melodic-nodelet, ros-melodic-pcl-ros, ros-melodic-roscpp, ros-melodic-socketcan-bridge
Description: ROS drivers (interfaces) and nodes for Ainstein radars.
